using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace zaddddddddd
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[]s=Console.ReadLine().Split(' ');
            int a=int.Parse(s[0]);
            int b=int.Parse(s[1]);
            int zidoviii = 0;
            for(int i=0;i<a;i++)
            {
                string str=Console.ReadLine();
                zidoviii+=str.Where(c => c == '*').Count();
            }
            Console.WriteLine((a*b)-zidoviii);
        }
    }
}